flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject AW: AW: Flex 4.12 with flexmojos-maven-plugin
Date Tue, 03 Jun 2014 06:12:24 GMT
Hi Richard,

sorry for not responding on your private mail ... I didn't quite find the time to look into
this, but I would have suggested you to re-ask your question here ;-)

The thing is you don't need to add a dependency to Flexmojos-unittest-flexunit4 as Flexmojos
automatically adds the adapters for unit test frameworks it finds in its classpath. So all
you need to do, is to add a dependency on flexunit.

                <dependency>
                    <groupId>org.flexunit</groupId>
                    <artifactId>flexunit</artifactId>
                    <version>4.1.0</version>
                    <classifier>flex4</classifier>
                    <type>swc</type>
                    <scope>test</scope>
                </dependency>

Chris



-----Urspr√ľngliche Nachricht-----
Von: rknight [mailto:rknight@portletoasis.com] 
Gesendet: Montag, 2. Juni 2014 22:00
An: users@flex.apache.org
Betreff: Re: AW: Flex 4.12 with flexmojos-maven-plugin

Hello,

Thank you for the information, this and several other posts have been very helpful.  I'm still
having a problem getting flex-mojos 7 +
flexmojos-unittest-flexunit4 working due to to "flexmojos-unittest-flexunit4" being dependent
upon Flex 4.12.0.20140303. 
I'm using Flex 4.12.1.20140427 so I'm able to get the standard flex plugin working successfully
using your previous suggestion:

<plugin>
                    <groupId>net.flexmojos.oss</groupId>
                    <artifactId>flexmojos-maven-plugin</artifactId>
                    <version>7.0.0</version>                 
                    <dependencies>                       
                        <dependency>
                            <groupId>net.flexmojos.oss</groupId>
                           
<artifactId>flexmojos-threadlocaltoolkit-wrapper</artifactId>
                            <version>7.0.0</version>
                        </dependency>                     
                        <dependency>
                            <groupId>org.apache.flex</groupId>
                            <artifactId>compiler</artifactId>
                            <version>4.12.1.20140427</version>
                            <type>pom</type>
                        </dependency>
                    </dependencies> 
                </plugin>

However, I'm unsure of how to get "flexmojos-unittest-flexunit4" working using a similar approach.
 My current pom has the following:

<dependency>
		  <groupId>net.flexmojos.oss</groupId>
		  <artifactId>flexmojos-unittest-flexunit4</artifactId>
		  <version>7.0.0</version>
		  <type>swc</type>
</dependency>

The error that I am getting is as follows "Could not find artifact org.apache.flex:framework:pom:4.12.0.20140303"
Obviously, this is the same kind of error as previously posted, but I'm not sure of how to
get past it in this situation.  Any help would be greatly appreciated.

Thanks,
Richard



--
View this message in context: http://apache-flex-users.2333346.n4.nabble.com/Flex-4-12-with-flexmojos-maven-plugin-tp5855p6746.html
Sent from the Apache Flex Users mailing list archive at Nabble.com.

Mime
View raw message